<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------+
| Shoutbox v6.01.4.2r - Modded by Shedrock 2006
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
if (file_exists(INFUSIONS."shoutbox/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."shoutbox/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."shoutbox/locale/German.php");
}

echo "<script type='text/javascript' src='".INFUSIONS."shoutbox/functions.js'></script>";
include_once(INCLUDES."ubbparser.class.php");
$i = 0;
$subb = new ubbParser(INCLUDES."plugins/");
$subb->ubbcode_allowed=array("b","i","u","s","color","url");
$subb->ubb_auto_url="on";
$subb->linkicon="true";
$action = isset($_GET['action']) ? htmlentities($_GET['action']) : "";

// Lschen von Eintrgen
	if (checkrights("S") && $action == "delete" && isNum($shout_id)) {
	$result = update_table(DB_PREFIX."shoutbox","WHERE shout_id='".$shout_id."'","delete");
	}

// Eintragen von neuen Shouts
	if (iMEMBER || $settings['guestposts'] == "1") {
		if (isset($_POST['post_shout'])) {
		$flood = false;
		if (iMEMBER) {
			$shout_name = $userdata['user_id'];
		} elseif ($settings['guestposts'] == "1") {
			if (check_captcha($_POST['captcha_encode'],$_POST['key'])) {
			$shout_name = "";
			if (strlen($_POST['shout_name'])<=50) {			
			$shout_name = trim(stripinput(spam_control($_POST['shout_name'])));
			$shout_name = preg_replace("(^[0-9]*)", "", $shout_name);
			if (isNum($shout_name)) $shout_name="";
			}
			} else {
			$shout_name='';	
			}
		}
		$shout_message="";
		if (strlen($_POST['shout_message'])<=200) {
		$shout_message = str_replace("\n", " ", spam_control($_POST['shout_message']));
		$shout_message = preg_replace("/^(.{255}).*$/", "$1", $shout_message);
		$shout_message = trim(stripinput(censorwords($shout_message)));
		}
		$shout_message = preg_replace("[\[(.*?)\]]", "", $shout_message)=="" ? "" : $shout_message;
		if ($shout_name != "" && $shout_message != "") {
			
		// Floodcontrol
		$flood = flood_control('shoutbox','shout_ip','shout_datestamp');
		if (!$flood) $result = update_table(DB_PREFIX."shoutbox","(shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('".$shout_name."', '".$shout_message."', '".time()."', '".USER_IP."')","insert");
		}
		redirect($PHP_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
	}
}	
	
// Beginn der Ausgabe
echo '<div align="center" class="shoutbox" style="white-space:normal;max-width:'.$theme_width_r.';width:'.$theme_width_r.';">';
openside($locale['120']);

$min = $settings['numofshouts'];
	if (iMEMBER || $settings['guestposts'] == "1") {
echo "
	<form name='shoutform' method='post' action='".$PHP_SELF.(FUSION_QUERY ? "?".str_replace("&","&amp;",FUSION_QUERY) : "")."'>
	<div align='center' class='small'>".$locale['fb_001']."<br /><input style='background:transparent;font-weight:bold;vertical-align:middle;text-align:center;' class='textbox' disabled type='text' name='commentlen' size='3' maxlength='3' value='200'></div>
	\n";
	if (iGUEST) {
	echo $locale['121']."<br />
	<input type='text' name='shout_name' value='' class='textbox' maxlength='30' style='width:100px;'><br />".$locale['122']."<br />\n";
	}
	echo "<textarea onKeyDown=\"textCounter(this.form.shout_message,this.form.commentlen,200);\" onKeyUp=\"textCounter(this.form.shout_message,this.form.commentlen,200);\" id='shout_message' name='shout_message' rows='4' cols='80' class='textbox' style='width:95%;' onmouseover=\"".all_overlayclose()."\"></textarea><br />
	<input type='image' src='".FORUMIMAGE."bbcode/bold.gif' class='button' onmouseover=\"".all_overlayclose()."\" onClick=\"addBBcode('shout_message', '[b]', '[/b]','shoutform');return false;\" alt='".$locale['shout407']."' title='".$locale['shout407']."' /> <input type='image' src='".FORUMIMAGE."bbcode/italic.gif' class='button' onmouseover=\"".all_overlayclose()."\" onClick=\"addBBcode('shout_message', '[i]', '[/i]','shoutform');return false;\" alt='".$locale['shout408']."' title='".$locale['shout408']."' /> <input type='image' src='".FORUMIMAGE."bbcode/under.gif' class='button' onmouseover=\"".all_overlayclose()."\" onClick=\"addBBcode('shout_message', '[u]', '[/u]','shoutform');return false;\" alt='".$locale['shout409']."' title='".$locale['shout409']."' />
	<input id='smiles' class='button' type='image' src='".FORUMIMAGE."bbcode/smiley.gif' style='height:20px;' onClick=\"return overlay(this, 'smiley', 'rightbottom')\" onmouseover=\"".all_overlayclose('smiley')."\" />
<div class='tbl1' align='center' id='smiley' style='background-color: grey; position:absolute; display:none; border: 1px solid black; height:auto'>
".displaysmileys("shout_message","shoutform").displaysmileys_more("shout_message","shoutform")."</div>
	<br />";
	if (!iMEMBER && $settings['guestposts']==1) {
	echo '<br />'.$locale['u033'].'<br />'.make_captcha().'<br /><input type="text" name="key" class="textbox" style="font-size:11px;font-weight:bold;width:90px;text-align:center;" maxlength="7" /><br />';
	}
	echo "<input alt='".$locale['fb_002']."' title='".$locale['fb_002']."' type='submit' name='post_shout' value='".$locale['123']."' class='button'>
	</form><br />";

	} else {
			echo "<center>".$locale['125']."</center><br />\n";
	}

$numrows = dbcount("(shout_id)","shoutbox");
if ($numrows>0) {
	$sresult = dbquery("SELECT s.shout_message,s.shout_name,s.shout_datestamp,s.shout_id, IFNULL(u.user_id,0) as user_id,IFNULL(u.user_name,s.shout_name) as user_name,IFNULL(u.user_nopm,true),u.user_avatar,u.user_joined,u.user_lastvisit,IFNULL(u.user_level,0) as user_level,IFNULL(u.user_status,0) as user_status FROM ".DB_PREFIX."shoutbox AS s LEFT OUTER JOIN ".DB_PREFIX."users AS u
ON s.shout_name=u.user_id AND u.user_status='0' ORDER BY s.shout_datestamp DESC LIMIT 0,".$min);
	$srows = dbrows($sresult);
	if ($srows > 0) {
	$i = 0;
	echo '<table cellspacing="0" cellpadding="2">';
	while ($data = dbarray($sresult))
	{
		echo '<tr><td>';	

	if (iMEMBER) {
			if ($data['user_level']>0 && $data['user_id'] != $userdata['user_id']) {
		echo '<a href=\'javascript:fuzetext("shout_message","[b]@'.$data['user_name'].':[/b]%20-%20","");\'><span class="shoutboxname"><img src="'.INFUSIONS.'shoutbox/images/amp.png" style="vertical-align:middle;" alt="" border="0" '.wztool(wztooltip('<span class=\'info1\'>'.$locale['fb_006'].'</span>'),'').')" onMouseOut="UnTip();" /></span></a>';
		
			if (!(bool)$data['user_nopm']) {
				echo '<a href="'.BASEDIR.'messages.php?msg_send='.$data['user_id'].'"><img src="'.INFUSIONS.'shoutbox/images/pm.png" style="vertical-align:middle;" border="0" alt="" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['u060'].'</span>'),'').')" onMouseOut="UnTip();" /></a> ';
				}
			} else echo "<img alt='bullet' src='".THEME."images/bullet.gif' /> ";
		}	
 	 else {
			echo "<img alt='bullet' src='".THEME."images/bullet.gif' /> ";
		}	

//Modded for colored names.
$lastseen="";
if ($data['user_level']>0) { 
$lastseen = time() - $data['user_lastvisit'];

	if($lastseen < 60) {
	$lastseen = '<span style="white-space:nowrap"><img src="'.INFUSIONS.'shoutbox/images/user_online.gif" alt="online" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['mop122'].'</span>'),'').')" onMouseOut="UnTip();" /></span>';
	} else {
	$lastseen = '<span style="white-space:nowrap"><img src="'.INFUSIONS.'shoutbox/images/user_offline.gif" alt="offline" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['mop121'].'</span>'),'').')" onMouseOut="UnTip();" /></span>';
	}
	$shoutcount = dbcount("(shout_id)", "shoutbox", "shout_name='".$data['user_id']."'");
	if($data['user_level'] > 100) $userx = "<b>".$data['user_name']."</b>";
}

		if ($data['user_level']>0 && $data['user_name']) {
		if ($data['user_avatar'] != "") { $avatar = "<img src=\'".IMAGES."avatars/".$data['user_avatar']."\' />"; } else { $avatar = "<img src=\'".INFUSIONS."shoutbox/images/noav.gif\' />"; }
		if (iMEMBER) {	
	    echo '<a '.wztool(wztooltip('<center>'.$avatar.'</center><br /><br />
		<b>'.$locale['u401'].':</b><br /><span class=&quot;shoutboxname&quot;>'.$data['user_name'].'</span><br /><br />
		<b>'.$locale['u045'].'</b><br /><span class=&quot;shoutboxname&quot;>'.getuserlevel($data['user_level']).'</span><br /><br />
		<b>'.$locale['u040'].'</b><br /><span class=&quot;shoutboxname&quot;>'.showdate("shortdate", $data['user_joined']).'</span><br /><br />
		<b>'.$locale['u044'].'</b><br /><span class=&quot;shoutboxname&quot;>'.showdate("shortdate", $data['user_lastvisit']).'</span><br /><br />
		<b>'.$locale['u041'].'</b><br /><span class=&quot;shoutboxname&quot;>'.$shoutcount.' '.$locale['fb_024'].'</span>'),$locale['u420']).');" onMouseOut="UnTip();" href="'.$tpl->url(SEO_UPROFILE,'profile.php','lookup=',$data['user_id'],null,null,$data['user_name']).'" class="shoutboxname">'.$userx.'</a><a href="'.INFUSIONS.'shoutbox/shoutbox_user_archive.php?shout_user='.$data['user_id'].'"><img src="'.BASEDIR.'infusions/shoutbox/images/user_info.gif" alt="" border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['shout410'].'</span>'),'').')" onMouseOut="UnTip();" /></a>';
		} else echo "<span class='shoutboxname'>".$userx."</span>"; 
		echo "&nbsp;$lastseen";
		} else {
			if($data['user_name']=='') {
			echo "<strong><em>".$data['shout_name']."</em></strong>\n";
			} else {
			echo "<strong><em>".$data['user_name']."</em></strong>\n";	
			}
		}
		echo "<br />\n<span class='shoutboxdate'><b><i>".showdate("%d.%m.%Y - %H:%M", $data['shout_datestamp'])."</i></b></span>";

		if (iADMIN && checkrights("S")) {
		echo "<br />\n[<a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['048']."</a> - <a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=delete&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['049']."</a>] ";
		echo "<br />";
		} else {
		echo "<br />\n";
		}
		$smessage = parsesmileys(str_replace(array("<br>","<br />","<br/>"),"",$data['shout_message']));
		$smessage=descript($subb->getHTML($smessage));
		echo "<span class='shoutbox'>".nl2br($smessage)."</span>\n";
		echo "</td></tr>";
	} @mysql_free_result($sresult);
		echo '</table>';
		tablebreak();
	}
		
		} else {
			echo "<div align='left'>".$locale['127']."</div>\n";
		}

// Shoutbox Archive
		if (iMEMBER) {
		echo "<hr /><center>\n<img alt='bullet' border='0' src='".THEME."images/bullet.gif' /> ";
		echo "<a href='".INFUSIONS."shoutbox/shoutbox_archive.php' class='side'>".$locale['126']."</a> ";
		echo "<img alt='bullet' border='0' src='".THEME."images/bulletb.gif' /><br />";
		echo "<img alt='bullet' border='0' src='".THEME."images/bullet.gif' /> ";
		echo "<a href='".INFUSIONS."shoutbox/shoutboxhelp.php' class='side'>".$locale['fb_015']."</a> ";
		echo "<img alt='bullet' border='0' src='".THEME."images/bulletb.gif' /></center>\n";
		} 
closeside();
echo "</div>";

?>